package com.lantone.daqe.client.hystrix;


import com.lantone.common.api.CommonResult;
import com.lantone.common.vo.BlockLossTypeGatherVO;
import com.lantone.common.vo.DataCompareVO;
import com.lantone.daqe.client.HisDataService;
import com.lantone.daqe.dto.HisMedicalRecordDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * @Description: his数据获取服务远程调用（请求失败熔断）
 * @author: songxl
 * @time: 2022/2/28 11:15
 */
@Component
@Slf4j
public class HisDataServiceHystrix implements HisDataService {
    @Override
    public CommonResult<List<HisMedicalRecordDTO>> getDataCount(DataCompareVO dataCompareVO) {
        log.error("【hystrix】调用{}异常", "getDataCount");
        return null;
    }

    @Override
    public CommonResult<Integer> getCount(BlockLossTypeGatherVO blockLossTypeGatherVO) {
        log.error("【hystrix】调用{}异常", "getCount");
        return null;
    }
}
